#include "RendererVolumeBooster.glsl"

uniform samplerRectShadow samTexture;
uniform int iRadius;

void main()
{
	float fValue = 0.0;

	for (int i=-iRadius;i<=iRadius;i++)
		fValue += textureRect(samTexture,gl_FragCoord.xy+vec2(0, i)).z; 

	fValue /= float(2*iRadius+1);  
	gl_FragDepth = fValue;
}